Index: code/branches/newlevel2012/src/modules/towerdefense/Tower.cc
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/Tower.cc	(revision 9173)
+++ code/branches/newlevel2012/src/modules/towerdefense/Tower.cc	(revision 9175)
@@ -22,7 +22,12 @@
 	 Constructor. Registers and initializes the object.
 	 */
-    Tower::Tower(BaseObject* creator) : ControllableEntity(creator)
+    Tower::Tower(BaseObject* creator) : SpaceShip(creator)
     {
         RegisterObject(Tower);
+
+        this->setCollisionType(WorldEntity::Dynamic);
+
+
+
         /*
         this->size_ = 10.0f;
Index: code/branches/newlevel2012/src/modules/towerdefense/Tower.h
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/Tower.h	(revision 9173)
+++ code/branches/newlevel2012/src/modules/towerdefense/Tower.h	(revision 9175)
@@ -19,9 +19,9 @@
 
 #include "towerdefense/TowerDefensePrereqs.h"
-#include "worldentities/ControllableEntity.h"
+#include "worldentities/pawns/SpaceShip.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport Tower : public ControllableEntity
+    class _OrxonoxExport Tower : public SpaceShip
     {
 	public:
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.cc
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.cc	(revision 9173)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.cc	(revision 9175)
@@ -118,6 +118,7 @@
 	void TowerDefense::setCenterpoint(TowerDefenseCenterpoint *centerpoint)
 	{
+		orxout() << "Centerpoint now setting..." << endl;
+		this->center_ = centerpoint;
 		orxout() << "Centerpoint now set..." << endl;
-		this->center_ = centerpoint;
 	}
 	
@@ -191,10 +192,9 @@
 		Tower* newTower = new Tower(this->center_);
 		newTower->addTemplate(this->center_->getTowerTemplate());
-		
-		this->center_->attach(newTower);
-		
+
+		//this->center_->attach(newTower);
+
 		newTower->setPosition((x-8) * tileScale, (y-8) * tileScale, 100);
 		newTower->setGame(this);
-		
 		//TODO: Save the Tower in a Vector. I would suggest std::vector< std::vector<Tower*> > towers_ as a protected member variable;
 		
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.cc
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.cc	(revision 9173)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.cc	(revision 9175)
@@ -47,5 +47,5 @@
         Constructor. Registers and initializes the object and checks whether the gametype is actually TowerDefense.
     */
-    TowerDefenseCenterpoint::TowerDefenseCenterpoint(BaseObject* creator) : StaticEntity(creator)
+    TowerDefenseCenterpoint::TowerDefenseCenterpoint(BaseObject* creator) : MobileEntity(creator)
     {
         RegisterObject(TowerDefenseCenterpoint);
@@ -55,5 +55,8 @@
         this->towerTemplate_ = "";
         
+        //this->setCollisionType(Static);
+
 		this->checkGametype();
+
     }
 
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.h
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 9173)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 9175)
@@ -42,9 +42,9 @@
 #include <util/Math.h>
 
-#include "worldentities/StaticEntity.h"
+#include "worldentities/MobileEntity.h"
 
 namespace orxonox
 {
-    class _TowerDefenseExport TowerDefenseCenterpoint : public StaticEntity
+    class _TowerDefenseExport TowerDefenseCenterpoint : public MobileEntity
     {
         public:
Index: code/branches/newlevel2012/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- code/branches/newlevel2012/src/orxonox/worldentities/WorldEntity.cc	(revision 9173)
+++ code/branches/newlevel2012/src/orxonox/worldentities/WorldEntity.cc	(revision 9175)
@@ -379,5 +379,4 @@
         if (!object->notifyBeingAttached(this))
             return;
-
         this->attachNode(object->node_);
         this->children_.insert(object);