Index: data/trunk/materials/broke-satellite.material
===================================================================
--- data/trunk/materials/broke-satellite.material	(revision 9212)
+++ data/trunk/materials/broke-satellite.material	(revision 9212)
@@ -0,0 +1,35 @@
+material broke_satellite002
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.125943 0.125943 0.125943 1.000000
+			specular 0.163184 0.163184 0.163184 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
+material broke_satellite
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.640000 0.640000 0.640000 1.000000
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture broke_satelliteUVMAP.png
+				tex_address_mode wrap
+				filtering trilinear
+				colour_op alpha_blend
+			}
+		}
+	}
+}
Index: data/trunk/materials/cokebottle.material
===================================================================
--- data/trunk/materials/cokebottle.material	(revision 9212)
+++ data/trunk/materials/cokebottle.material	(revision 9212)
@@ -0,0 +1,62 @@
+material cokebottle
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			
+			scene_blend alpha_blend
+			depth_write off
+			ambient 1.000000 1.000000 1.000000 0.500000
+			diffuse 0.640000 0.640000 0.640000 0.500000
+			specular 0.500000 0.500000 0.500000 0.500000 12.500000
+			emissive 0.000000 0.000000 0.000000 0.500000
+
+ 			texture_unit
+       			{
+         		 colour_op_ex source1 src_manual src_current 175 238 238
+         		 alpha_op_ex source1 src_manual src_current 0.5
+       			}
+		}
+	}
+}
+material label/TEXFACE
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
+material label/TEXFACE/cokelabel.jpg
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture cokelabel.jpg
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
Index: data/trunk/materials/debris-fueltank.material
===================================================================
--- data/trunk/materials/debris-fueltank.material	(revision 9212)
+++ data/trunk/materials/debris-fueltank.material	(revision 9212)
@@ -0,0 +1,41 @@
+material debris-fueltank
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.376 0.123 0.0272 1.000000
+			diffuse 0.376 0.123 0.0272 1.000000
+			specular 0.169681 0.055889 0.014298 1.000000 9.250000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
+
+material debris-fueltankUV/TEXFACE/debris-fueltankUV.png
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.909722 0.909722 0.909722 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture debris-fueltankUV.png
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.000000 0.000000 0.000000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
+
Index: data/trunk/materials/debris-glass.material
===================================================================
--- data/trunk/materials/debris-glass.material	(revision 9212)
+++ data/trunk/materials/debris-glass.material	(revision 9212)
@@ -0,0 +1,18 @@
+material debris-glass
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			scene_blend alpha_blend
+			depth_write off
+			ambient 1.000000 1.000000 1.000000 0.500000
+			diffuse 0.640000 0.640000 0.640000 0.500000
+			specular 0.500000 0.500000 0.500000 0.500000 12.500000
+			emissive 0.000000 0.000000 0.000000 0.500000
+			scene_blend alpha_blend
+			depth_write off
+		}
+	}
+}
Index: data/trunk/materials/debris-pile01.material
===================================================================
--- data/trunk/materials/debris-pile01.material	(revision 9212)
+++ data/trunk/materials/debris-pile01.material	(revision 9212)
@@ -0,0 +1,147 @@
+material cokebottle
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.640000 0.640000 0.640000 1.000000
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
+material debris-steelbeam/TEXFACE/RustySteel.jpg
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.120879 0.120879 0.120879 1.000000
+			emissive 0.096000 0.096000 0.096000 1.000000
+			texture_unit
+			{
+				texture RustySteel.jpg
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.017287 0.009158 0.001816 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
+material debris-plane/TEXFACE/debris-planeUV.jpg
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 1.000000 1.000000 1.000000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture debris-planeUV.jpg
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.374892 0.374892 0.374892 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
+material debris-smallpieces-pl
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.605573 0.605573 0.605783 1.000000
+			diffuse 0.155783 0.155783 0.155783 1.000000
+			specular 0.430233 0.430233 0.430233 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
+material label/TEXFACE/cokelabel.jpg
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture cokelabel.jpg
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
+material debris-smallpieces-cu
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.605856 0.605886 0.605886 1.000000
+			diffuse 0.058586 0.058586 0.058586 1.000000
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
+material label/TEXFACE
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
+material debris-glass
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.596899 0.596899 0.596899 0.403101
+			diffuse 0.439789 0.475881 0.509767 0.403101
+			specular 0.405719 0.487225 0.500000 0.403101 12.500000
+			emissive 0.227759 0.246451 0.264000 0.403101
+			scene_blend alpha_blend
+			depth_write off
+		}
+	}
+}
Index: data/trunk/materials/debris-pile02.material
===================================================================
--- data/trunk/materials/debris-pile02.material	(revision 9212)
+++ data/trunk/materials/debris-pile02.material	(revision 9212)
@@ -0,0 +1,92 @@
+material debris-fueltankUV/TEXFACE/debris-fueltankUV.png
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.909722 0.909722 0.909722 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture debris-fueltankUV.png
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.000000 0.000000 0.000000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
+material debris-smallpieces-p
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.536041 0.536041 0.536041 1.000000
+			diffuse 0.236041 0.236041 0.236041 1.000000
+			specular 0.430233 0.430233 0.430233 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
+material debris-smallpieces-c
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.430631 0.430631 0.430631 1.000000
+			diffuse 0.230631 0.230631 0.230631 1.000000
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
+material debris-steelbeam/TEXFACE/RustySteel.jpg
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.120879 0.120879 0.120879 1.000000
+			emissive 0.096000 0.096000 0.096000 1.000000
+			texture_unit
+			{
+				texture RustySteel.jpg
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.017287 0.009158 0.001816 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
+material debris-fueltank
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.199860 0.071431 0.014470 1.000000
+			specular 0.169681 0.055889 0.014298 1.000000 9.250000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
Index: data/trunk/materials/debris-pile03.material
===================================================================
--- data/trunk/materials/debris-pile03.material	(revision 9212)
+++ data/trunk/materials/debris-pile03.material	(revision 9212)
@@ -0,0 +1,122 @@
+material cokebottle
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.640000 0.640000 0.640000 1.000000
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
+material debris-smallpieces-p
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.501843 0.501843 0.501843 1.000000
+			diffuse 0.601843 0.601843 0.601843 1.000000
+			specular 0.430233 0.430233 0.430233 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
+material debris-glass
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.596899 0.596899 0.596899 0.403101
+			diffuse 0.439789 0.475881 0.509767 0.403101
+			specular 0.405719 0.487225 0.500000 0.403101 12.500000
+			emissive 0.227759 0.246451 0.264000 0.403101
+			scene_blend alpha_blend
+			depth_write off
+		}
+	}
+}
+material label/TEXFACE/cokelabel.jpg
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture cokelabel.jpg
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
+material debris-smallpieces-c
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 0.640000 0.640000 0.640000 1.000000
+			diffuse 0.540000 0.540000 0.540000 1.000000
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
+material debris-steelbeam/TEXFACE/RustySteel.jpg
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.120879 0.120879 0.120879 1.000000
+			emissive 0.096000 0.096000 0.096000 1.000000
+			texture_unit
+			{
+				texture RustySteel.jpg
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.017287 0.009158 0.001816 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
+material label/TEXFACE
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			specular 0.500000 0.500000 0.500000 1.000000 12.500000
+			emissive 0.000000 0.000000 0.000000 1.000000
+		}
+	}
+}
Index: data/trunk/materials/debris-plane.material
===================================================================
--- data/trunk/materials/debris-plane.material	(revision 9212)
+++ data/trunk/materials/debris-plane.material	(revision 9212)
@@ -0,0 +1,25 @@
+material debris-plane/TEXFACE/debris-planeUV.jpg
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.800000 0.800000 0.800000 1.000000
+			emissive 0.000000 0.000000 0.000000 1.000000
+			texture_unit
+			{
+				texture debris-planeUV.jpg
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.810078 0.810078 0.810078 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}
Index: data/trunk/materials/debris-stealbeam.material
===================================================================
--- data/trunk/materials/debris-stealbeam.material	(revision 9212)
+++ data/trunk/materials/debris-stealbeam.material	(revision 9212)
@@ -0,0 +1,25 @@
+material debris-steelbeam/TEXFACE/RustySteel.jpg
+{
+	receive_shadows on
+	technique
+	{
+		pass
+		{
+			ambient 1.000000 1.000000 1.000000 1.000000
+			diffuse 0.120879 0.120879 0.120879 1.000000
+			emissive 0.096000 0.096000 0.096000 1.000000
+			texture_unit
+			{
+				texture RustySteel.jpg
+				colour_op modulate
+			}
+		}
+		pass
+		{
+			ambient 0.0 0.0 0.0
+			diffuse 0.0 0.0 0.0
+			specular 0.017287 0.009158 0.001816 1.000000 12.500000
+			scene_blend add
+		}
+	}
+}