Index: trunk/src/util/hud.cc
===================================================================
--- trunk/src/util/hud.cc	(revision 9110)
+++ trunk/src/util/hud.cc	(revision 9235)
@@ -187,4 +187,5 @@
     this->_radar->setCenterNode(State::getPlayer()->getPlayable());
     this->_radar->addEntityList(&State::getObjectManager()->getObjectList((OM_LIST)(State::getPlayer()->getPlayable()->getOMListNumber()+1)), Color(.4, .4, 1.0));
+    this->_radar->addEntityList(&State::getObjectManager()->getObjectList(OM_GROUP_02), Color(1.0, .2, .2));
     this->_radar->setAbsCoor2D(0.8 * this->resX, 0.01 * this->resY);
     this->_radar->setWidgetSize(0.2 * this->resX, 0.2 * this->resY);
Index: trunk/src/util/multiplayer_team_deathmatch.cc
===================================================================
--- trunk/src/util/multiplayer_team_deathmatch.cc	(revision 9110)
+++ trunk/src/util/multiplayer_team_deathmatch.cc	(revision 9235)
@@ -210,4 +210,5 @@
   while ( this->killList.begin() != this->killList.end() )
   {
+    PRINTF(0)("KKKKKKKKIIIIIIIIILLLLLLLLLLLLL\n");
     onKill( this->killList.begin()->getVictim(), this->killList.begin()->getKiller() );
     this->killList.erase( this->killList.begin() );
@@ -305,9 +306,32 @@
     return "models/creatures/doom_guy.md2";
   else if ( team == 1 )
-    return "models/creatures/doom_guy.md2";
+    return "models/creatures/male.md2";
   else
     return "";
 }
 
+std::string MultiplayerTeamDeathmatch::getPlayableModelTextureFileName( int userId, int team, ClassID classId )
+{
+  if ( classId == CL_FPS_PLAYER )
+  {
+    if ( team == 0 )
+      return "maps/doom_guy.png";
+    else
+      return "maps/male_fiend.pcx";
+  }
+  
+  return "";
+}
+
+float MultiplayerTeamDeathmatch::getPlayableScale( int userId, int team, ClassID classId )
+{
+  if ( classId == CL_FPS_PLAYER )
+  {
+    return 10.0f;
+  }
+  
+  return 1.0f;
+}
+
 /**
  * calculate team score
@@ -399,5 +423,5 @@
   if ( currentGameState == GAMESTATE_POST_GAME )
   {
-    State::getCurrentStoryEntity()->stop();
+    //State::getCurrentStoryEntity()->stop();
     this->bShowTeamChange = false;
 
@@ -456,4 +480,5 @@
   std::string playableModel = getPlayableModelFileName( userId, stats.getPreferedTeamId(), playableClassId );
   std::string playableTexture = getPlayableModelTextureFileName( userId, stats.getPreferedTeamId(), playableClassId );
+  float       playableScale = getPlayableScale( userId, stats.getPreferedTeamId(), playableClassId );
 
   BaseObject * bo = Factory::fabricate( playableClassId );
@@ -464,8 +489,6 @@
   Playable & playable = *(dynamic_cast<Playable*>(bo));
 
-  if ( playableTexture != "" )
-    playable.loadMD2Texture( playableTexture );
-  if ( playableModel != "" )
-    playable.loadModel( playableModel );
+  playable.loadMD2Texture( playableTexture );
+  playable.loadModel( playableModel, playableScale );
   playable.setOwner( userId );
   playable.setUniqueID( SharedNetworkData::getInstance()->getNewUniqueID() );
@@ -687,10 +710,18 @@
 {
   if ( !victim )
-    return;
+  {
+    PRINTF(0)("victim == NULL\n");
+    return;
+  }
   if ( !killer )
-    return;
+  {
+    PRINTF(0)("killer == NULL\n");
+    return;
+  }
   
   int killerUserId = killer->getOwner();
   int victimUserId = victim->getOwner();
+  
+  PRINTF(0)("%d %d %x %x %s %s\n", killerUserId, victimUserId, killer, victim, killer->getClassName(), victim->getClassName());
 
   PlayerStats & victimStats = *PlayerStats::getStats( victimUserId );
@@ -698,5 +729,10 @@
   
   if ( killerStats.getPlayable() != killer || victimStats.getPlayable() != victim )
-    return;
+  {
+    PRINTF(0)("killerStats.getPlayable() != killer || victimStats.getPlayable() != victim\n");
+    PRINTF(0)("%x %x %x %x\n", killerStats.getPlayable(), killer, victimStats.getPlayable(), victim );
+    PRINTF(0)("%d %d %d %d\n", killerStats.getPlayable()->getUniqueID(), killer->getUniqueID(), victimStats.getPlayable()->getUniqueID(), victim->getUniqueID() );
+    return;
+  }
 
   //check for suicide
@@ -782,12 +818,3 @@
 }
 
-std::string MultiplayerTeamDeathmatch::getPlayableModelTextureFileName( int userId, int team, ClassID classId )
-{
-  if ( classId == CL_FPS_PLAYER )
-  {
-    return "maps/doom_guy.png";
-  }
-  
-  return "";
-}
-
+
Index: trunk/src/util/multiplayer_team_deathmatch.h
===================================================================
--- trunk/src/util/multiplayer_team_deathmatch.h	(revision 9110)
+++ trunk/src/util/multiplayer_team_deathmatch.h	(revision 9235)
@@ -41,4 +41,5 @@
     virtual std::string getPlayableModelTextureFileName( int userId, int team, ClassID classId );
     virtual std::string getPlayableModelFileName( int userId, int team, ClassID classId );
+    virtual float getPlayableScale( int userId, int team, ClassID classId );
 
     virtual void registerSpawn( WorldEntity * we );
Index: trunk/src/util/network_game_rules.cc
===================================================================
--- trunk/src/util/network_game_rules.cc	(revision 9110)
+++ trunk/src/util/network_game_rules.cc	(revision 9235)
@@ -68,2 +68,6 @@
 
 
+float NetworkGameRules::getPlayableScale( int userId, int team, ClassID classId )
+{
+  return 1.0f;
+}
Index: trunk/src/util/network_game_rules.h
===================================================================
--- trunk/src/util/network_game_rules.h	(revision 9110)
+++ trunk/src/util/network_game_rules.h	(revision 9235)
@@ -24,4 +24,5 @@
     virtual std::string getPlayableModelFileName( int userId, int team, ClassID classId );
     virtual std::string getPlayableModelTextureFileName( int userId, int team, ClassID classId );
+    virtual float getPlayableScale( int userId, int team, ClassID classId );
     
     virtual PlayerStats * getNewPlayerStats( int userId ){ return new PlayerStats( userId ); }