Index: code/branches/presentation2012merge/src/modules/pickup/items/DamageBoostPickup.cc
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/DamageBoostPickup.cc	(revision 9313)
+++ code/branches/presentation2012merge/src/modules/pickup/items/DamageBoostPickup.cc	(revision 9318)
@@ -38,5 +38,4 @@
 #include "core/XMLPort.h"
 
-#include "pickup/PickupIdentifier.h"
 #include "worldentities/pawns/SpaceShip.h"
 
@@ -78,14 +77,4 @@
     /**
     @brief
-        Initializes the PickupIdentifier of this pickup.
-    */
-    void DamageBoostPickup::initializeIdentifier(void)
-    {
-        this->pickupIdentifier_->addParameter("duration", this->getDuration());
-        this->pickupIdentifier_->addParameter("damageMultiplier", this->getDamageMultiplier());
-    }
-
-    /**
-    @brief
         Method for creating a DamageBoostPickup object through XML.
     */
@@ -96,6 +85,4 @@
         XMLPortParam(DamageBoostPickup, "duration", setDuration, getDuration, xmlelement, mode);
         XMLPortParam(DamageBoostPickup, "damageMultiplier", setDamageMultiplier, getDamageMultiplier, xmlelement, mode);
-
-        this->initializeIdentifier();
     }
 
@@ -196,5 +183,4 @@
         pickup->setDuration(this->getDuration());
         pickup->setDamageMultiplier(this->getDamageMultiplier());
-        pickup->initializeIdentifier();
     }
 
Index: code/branches/presentation2012merge/src/modules/pickup/items/DamageBoostPickup.h
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/DamageBoostPickup.h	(revision 9313)
+++ code/branches/presentation2012merge/src/modules/pickup/items/DamageBoostPickup.h	(revision 9318)
@@ -79,5 +79,4 @@
 
         protected:
-            void initializeIdentifier(void); //!< Initializes the PickupIdentifier of this pickup.
             void setDamageMultiplier(float damageMultiplier); //!< Sets the DamageMultiplier according to the XML.
 
Index: code/branches/presentation2012merge/src/modules/pickup/items/DronePickup.cc
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/DronePickup.cc	(revision 9313)
+++ code/branches/presentation2012merge/src/modules/pickup/items/DronePickup.cc	(revision 9318)
@@ -39,5 +39,4 @@
 
 #include "controllers/DroneController.h"
-#include "pickup/PickupIdentifier.h"
 #include "worldentities/Drone.h"
 #include "worldentities/pawns/Pawn.h"
@@ -81,13 +80,4 @@
     /**
     @brief
-        Initializes the PickupIdentifier of this pickup.
-    */
-    void DronePickup::initializeIdentifier(void)
-    {
-        this->pickupIdentifier_->addParameter("droneTemplate", this->getDroneTemplate());
-    }
-
-    /**
-    @brief
         Method for creating a DronePickup object through XML.
     */
@@ -96,6 +86,4 @@
         SUPER(DronePickup, XMLPort, xmlelement, mode);
         XMLPortParam(DronePickup, "droneTemplate", setDroneTemplate, getDroneTemplate, xmlelement, mode);
-
-        this->initializeIdentifier();
     }
 
@@ -198,6 +186,4 @@
         DronePickup* pickup = orxonox_cast<DronePickup*>(item);
         pickup->setDroneTemplate(this->getDroneTemplate());
-
-        pickup->initializeIdentifier();
     }
 }
Index: code/branches/presentation2012merge/src/modules/pickup/items/DronePickup.h
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/DronePickup.h	(revision 9313)
+++ code/branches/presentation2012merge/src/modules/pickup/items/DronePickup.h	(revision 9318)
@@ -75,6 +75,4 @@
 
         protected:
-            void initializeIdentifier(void); //!< Initializes the PickupIdentifier of this pickup.
-
             void setDroneTemplate(const std::string& templatename); //!< Set the droneTemplate.
 
Index: code/branches/presentation2012merge/src/modules/pickup/items/HealthPickup.cc
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/HealthPickup.cc	(revision 9313)
+++ code/branches/presentation2012merge/src/modules/pickup/items/HealthPickup.cc	(revision 9318)
@@ -38,5 +38,4 @@
 #include "core/XMLPort.h"
 
-#include "pickup/PickupIdentifier.h"
 #include "worldentities/pawns/Pawn.h"
 
@@ -87,15 +86,4 @@
     /**
     @brief
-        Initializes the PickupIdentifier of this pickup.
-    */
-    void HealthPickup::initializeIdentifier(void)
-    {
-        this->pickupIdentifier_->addParameter("health", this->getHealth());
-        this->pickupIdentifier_->addParameter("healthType", this->getHealthType());
-        this->pickupIdentifier_->addParameter("healthRate", this->getHealthRate());
-    }
-
-    /**
-    @brief
         Method for creating a HealthPickup object through XML.
     */
@@ -110,6 +98,4 @@
         if(!this->isContinuous())
             this->setHealthRate(0.0f); // TODO: this logic should be inside tick(), not in XMLPort
-
-        this->initializeIdentifier();
     }
 
@@ -277,6 +263,4 @@
         pickup->setHealthRate(this->getHealthRate());
         pickup->setHealthType(this->getHealthType());
-
-        pickup->initializeIdentifier();
     }
 
Index: code/branches/presentation2012merge/src/modules/pickup/items/HealthPickup.h
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/HealthPickup.h	(revision 9313)
+++ code/branches/presentation2012merge/src/modules/pickup/items/HealthPickup.h	(revision 9318)
@@ -121,6 +121,4 @@
 
         protected:
-            void initializeIdentifier(void); //!< Initializes the PickupIdentifier of this pickup.
-
             void setHealth(float health); //!< Sets the health.
             void setHealthRate(float speed); //!< Set the rate at which health is transferred if the pickup is continuous.
Index: code/branches/presentation2012merge/src/modules/pickup/items/InvisiblePickup.cc
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/InvisiblePickup.cc	(revision 9313)
+++ code/branches/presentation2012merge/src/modules/pickup/items/InvisiblePickup.cc	(revision 9318)
@@ -40,5 +40,4 @@
 #include "core/XMLPort.h"
 
-#include "pickup/PickupIdentifier.h"
 #include "worldentities/pawns/Pawn.h"
 
@@ -79,13 +78,4 @@
     /**
     @brief
-        Initializes the PickupIdentifier of this pickup.
-    */
-    void InvisiblePickup::initializeIdentifier(void)
-    {
-        this->pickupIdentifier_->addParameter("duration", this->getDuration());
-    }
-
-    /**
-    @brief
         Method for creating a HealthPickup object through XML.
     */
@@ -94,6 +84,4 @@
         SUPER(InvisiblePickup, XMLPort, xmlelement, mode);
         XMLPortParam(InvisiblePickup, "duration", setDuration, getDuration, xmlelement, mode);
-
-        this->initializeIdentifier();
     }
 
@@ -157,5 +145,4 @@
         InvisiblePickup* pickup = orxonox_cast<InvisiblePickup*>(item);
         pickup->setDuration(this->getDuration());
-        pickup->initializeIdentifier();
     }
 
Index: code/branches/presentation2012merge/src/modules/pickup/items/InvisiblePickup.h
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/InvisiblePickup.h	(revision 9313)
+++ code/branches/presentation2012merge/src/modules/pickup/items/InvisiblePickup.h	(revision 9318)
@@ -72,5 +72,5 @@
             InvisiblePickup(BaseObject* creator); //!< Constructor.
             virtual ~InvisiblePickup(); //!< Destructor.
-            
+
             virtual void XMLPort(Element& xmlelement, orxonox::XMLPort::Mode mode); //!< Method for creating a HealthPickup object through XML.
             virtual void changedUsed(void); //!< Is called when the pickup has transited from used to unused or the other way around.
@@ -91,6 +91,4 @@
 
         protected:
-            void initializeIdentifier(void); //!< Initializes the PickupIdentifier of this pickup.
-
             bool setInvisible(bool invisibility); //!< Set the Pawn to be invisible or visible again.
             void setDuration(float duration); //!< Sets the time the InvisibilityPickup will last.
Index: code/branches/presentation2012merge/src/modules/pickup/items/MetaPickup.cc
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/MetaPickup.cc	(revision 9313)
+++ code/branches/presentation2012merge/src/modules/pickup/items/MetaPickup.cc	(revision 9318)
@@ -36,5 +36,4 @@
 
 #include "interfaces/PickupCarrier.h"
-#include "pickup/PickupIdentifier.h"
 #include "worldentities/pawns/Pawn.h"
 
@@ -86,13 +85,4 @@
     /**
     @brief
-        Helper method to initialize the PickupIdentifier.
-    */
-    void MetaPickup::initializeIdentifier(void)
-    {
-        this->pickupIdentifier_->addParameter("metaType", this->getMetaType());
-    }
-
-    /**
-    @brief
         Method for creating a MetaPickup object through XML.
     */
@@ -102,6 +92,4 @@
 
         XMLPortParam(MetaPickup, "metaType", setMetaTypeAsString, getMetaTypeAsString, xmlelement, mode);
-
-        this->initializeIdentifier();
     }
 
@@ -172,6 +160,4 @@
         MetaPickup* pickup = orxonox_cast<MetaPickup*>(item);
         pickup->setMetaType(this->getMetaType());
-
-        pickup->initializeIdentifier();
     }
 
Index: code/branches/presentation2012merge/src/modules/pickup/items/MetaPickup.h
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/MetaPickup.h	(revision 9313)
+++ code/branches/presentation2012merge/src/modules/pickup/items/MetaPickup.h	(revision 9318)
@@ -106,6 +106,4 @@
 
         protected:
-            void initializeIdentifier(void); //!< Initializes the PickupIdentifier of this pickup.
-
             /**
             @brief Set the meta type of the MetaPickup.
Index: code/branches/presentation2012merge/src/modules/pickup/items/ShieldPickup.cc
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/ShieldPickup.cc	(revision 9313)
+++ code/branches/presentation2012merge/src/modules/pickup/items/ShieldPickup.cc	(revision 9318)
@@ -38,5 +38,4 @@
 #include "core/XMLPort.h"
 
-#include "pickup/PickupIdentifier.h"
 #include "worldentities/pawns/Pawn.h"
 
@@ -80,15 +79,4 @@
     /**
     @brief
-        Initializes the PickupIdentifier of this pickup.
-    */
-    void ShieldPickup::initializeIdentifier(void)
-    {
-        this->pickupIdentifier_->addParameter("duration", this->getDuration());
-        this->pickupIdentifier_->addParameter("ShieldHealth", this->getShieldHealth());
-        this->pickupIdentifier_->addParameter("ShieldAbsorption", this->getShieldAbsorption());
-    }
-
-    /**
-    @brief
         Method for creating a ShieldPickup object through XML.
     */
@@ -100,6 +88,4 @@
         XMLPortParam(ShieldPickup, "shieldabsorption", setShieldAbsorption, getShieldAbsorption, xmlelement, mode);
         XMLPortParam(ShieldPickup, "duration", setDuration, getDuration, xmlelement, mode);
-
-        this->initializeIdentifier();
     }
 
@@ -188,5 +174,4 @@
         pickup->setShieldAbsorption(this->getShieldAbsorption());
         pickup->setShieldHealth(this->getShieldHealth());
-        pickup->initializeIdentifier();
     }
 
Index: code/branches/presentation2012merge/src/modules/pickup/items/ShieldPickup.h
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/ShieldPickup.h	(revision 9313)
+++ code/branches/presentation2012merge/src/modules/pickup/items/ShieldPickup.h	(revision 9318)
@@ -104,5 +104,4 @@
 
         protected:
-            void initializeIdentifier(void); //!< Initializes the PickupIdentifier of this pickup.
             void pickupTimerCallback(void); //!< Helper method. Is called by the Timer as soon as it expires.
 
Index: code/branches/presentation2012merge/src/modules/pickup/items/ShrinkPickup.cc
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/ShrinkPickup.cc	(revision 9313)
+++ code/branches/presentation2012merge/src/modules/pickup/items/ShrinkPickup.cc	(revision 9318)
@@ -40,5 +40,4 @@
 #include "core/XMLPort.h"
 
-#include "pickup/PickupIdentifier.h"
 #include "worldentities/pawns/Pawn.h"
 
@@ -81,11 +80,4 @@
     }
 
-    void ShrinkPickup::initializeIdentifier(void)
-    {
-        this->pickupIdentifier_->addParameter("shrinkFactor", this->getShrinkFactor());
-        this->pickupIdentifier_->addParameter("duration", this->getDuration());
-        this->pickupIdentifier_->addParameter("shrinkDuration", this->getShrinkDuration());
-    }
-
    /**
     @brief
@@ -99,6 +91,4 @@
         XMLPortParam(ShrinkPickup, "duration", setDuration, getDuration, xmlelement, mode);
         XMLPortParam(ShrinkPickup, "shrinkDuration", setShrinkDuration, getShrinkDuration, xmlelement, mode);
-
-        this->initializeIdentifier();
     }
 
@@ -321,6 +311,4 @@
         pickup->setDuration(this->getDuration());
         pickup->setShrinkDuration(this->getShrinkDuration());
-
-        pickup->initializeIdentifier();
     }
 }
Index: code/branches/presentation2012merge/src/modules/pickup/items/ShrinkPickup.h
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/ShrinkPickup.h	(revision 9313)
+++ code/branches/presentation2012merge/src/modules/pickup/items/ShrinkPickup.h	(revision 9318)
@@ -119,7 +119,4 @@
                 { if(speed <= 0.0f) { orxout(internal_warning, context::pickups) << "Invalid shrink duration in ShrinkPickup. Ignoring.." << endl; return; } this->shrinkDuration_ = speed; }
 
-        protected:
-            void initializeIdentifier(void);
-
         private:
             void initialize(void);
@@ -135,5 +132,5 @@
             float currentFactor_;       //!< The shrink factor that is currently applied.
             float timeRemainig_;        //!< The remaining shrink time.
-            
+
             Pawn* carrierToPawnHelper(void);
             Timer durationTimer_;
Index: code/branches/presentation2012merge/src/modules/pickup/items/SpeedPickup.cc
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/SpeedPickup.cc	(revision 9313)
+++ code/branches/presentation2012merge/src/modules/pickup/items/SpeedPickup.cc	(revision 9318)
@@ -38,5 +38,4 @@
 #include "core/XMLPort.h"
 
-#include "pickup/PickupIdentifier.h"
 #include "worldentities/pawns/SpaceShip.h"
 
@@ -80,15 +79,4 @@
     /**
     @brief
-        Initializes the PickupIdentifier of this pickup.
-    */
-    void SpeedPickup::initializeIdentifier(void)
-    {
-        this->pickupIdentifier_->addParameter("duration", this->getDuration());
-        this->pickupIdentifier_->addParameter("speedAdd", this->getSpeedAdd());
-        this->pickupIdentifier_->addParameter("speedMultiply", this->getSpeedMultiply());
-    }
-
-    /**
-    @brief
         Method for creating a SpeedPickup object through XML.
     */
@@ -100,6 +88,4 @@
         XMLPortParam(SpeedPickup, "speedAdd", setSpeedAdd, getSpeedAdd, xmlelement, mode);
         XMLPortParam(SpeedPickup, "speedMultiply", setSpeedMultiply, getSpeedMultiply, xmlelement, mode);
-
-        this->initializeIdentifier();
     }
 
@@ -189,6 +175,4 @@
         pickup->setSpeedAdd(this->getSpeedAdd());
         pickup->setSpeedMultiply(this->getSpeedMultiply());
-
-        pickup->initializeIdentifier();
     }
 
Index: code/branches/presentation2012merge/src/modules/pickup/items/SpeedPickup.h
===================================================================
--- code/branches/presentation2012merge/src/modules/pickup/items/SpeedPickup.h	(revision 9313)
+++ code/branches/presentation2012merge/src/modules/pickup/items/SpeedPickup.h	(revision 9318)
@@ -103,5 +103,4 @@
 
         protected:
-            void initializeIdentifier(void); //!< Initializes the PickupIdentifier of this pickup.
             void pickupTimerCallback(void); //!< Function that gets called when timer ends.
 