Index: branches/proxy/src/story_entities/campaign.cc
===================================================================
--- branches/proxy/src/story_entities/campaign.cc	(revision 9356)
+++ branches/proxy/src/story_entities/campaign.cc	(revision 9357)
@@ -25,5 +25,5 @@
 #include "campaign_data.h"
 
-using namespace std;
+
 
 
Index: branches/proxy/src/story_entities/campaign_data.cc
===================================================================
--- branches/proxy/src/story_entities/campaign_data.cc	(revision 9356)
+++ branches/proxy/src/story_entities/campaign_data.cc	(revision 9357)
@@ -23,5 +23,5 @@
 
 
-using namespace std;
+
 
 
@@ -103,5 +103,5 @@
   int                            nextStoryID;
   int                            storyID;
-  list<StoryEntity*>::iterator   it;
+  std::list<StoryEntity*>::iterator   it;
 
   nextStoryID = 0;
@@ -124,5 +124,5 @@
   int                            nextStoryID;
   int                            storyID;
-  list<StoryEntity*>::iterator   it;
+  std::list<StoryEntity*>::iterator   it;
 
   nextStoryID = this->currentEntity->getNextStoryID();
@@ -145,5 +145,5 @@
 StoryEntity* CampaignData::getLevel(int storyID)
 {
-  list<StoryEntity*>::iterator   it;
+  std::list<StoryEntity*>::iterator   it;
   for( it = this->storyEntities.begin(); it != this->storyEntities.end(); it++)
   {
Index: branches/proxy/src/story_entities/dedicated_server_world.cc
===================================================================
--- branches/proxy/src/story_entities/dedicated_server_world.cc	(revision 9356)
+++ branches/proxy/src/story_entities/dedicated_server_world.cc	(revision 9357)
@@ -28,5 +28,5 @@
 
 
-using namespace std;
+
 
 //! This creates a Factory to fabricate a DedicatedServerWorld
Index: branches/proxy/src/story_entities/game_world_data.cc
===================================================================
--- branches/proxy/src/story_entities/game_world_data.cc	(revision 9356)
+++ branches/proxy/src/story_entities/game_world_data.cc	(revision 9357)
@@ -61,5 +61,5 @@
 
 
-using namespace std;
+
 
 
@@ -236,5 +236,5 @@
 
   Playable* playable;
-  const list<BaseObject*>* playableList = ClassList::getList(CL_PLAYABLE);
+  const std::list<BaseObject*>* playableList = ClassList::getList(CL_PLAYABLE);
   if (playableList != NULL && !playableList->empty())
   {
Index: branches/proxy/src/story_entities/movie_loader.cc
===================================================================
--- branches/proxy/src/story_entities/movie_loader.cc	(revision 9356)
+++ branches/proxy/src/story_entities/movie_loader.cc	(revision 9357)
@@ -24,5 +24,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(MovieLoader, CL_MOVIE_LOADER);
Index: branches/proxy/src/story_entities/multi_player_world_data.cc
===================================================================
--- branches/proxy/src/story_entities/multi_player_world_data.cc	(revision 9356)
+++ branches/proxy/src/story_entities/multi_player_world_data.cc	(revision 9357)
@@ -53,5 +53,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/story_entities/single_player_world.cc
===================================================================
--- branches/proxy/src/story_entities/single_player_world.cc	(revision 9356)
+++ branches/proxy/src/story_entities/single_player_world.cc	(revision 9357)
@@ -30,5 +30,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/story_entities/single_player_world_data.cc
===================================================================
--- branches/proxy/src/story_entities/single_player_world_data.cc	(revision 9356)
+++ branches/proxy/src/story_entities/single_player_world_data.cc	(revision 9357)
@@ -21,5 +21,5 @@
 
 
-using namespace std;
+
 
 
Index: branches/proxy/src/story_entities/story_entity.cc
===================================================================
--- branches/proxy/src/story_entities/story_entity.cc	(revision 9356)
+++ branches/proxy/src/story_entities/story_entity.cc	(revision 9357)
@@ -26,5 +26,5 @@
 
 
-using namespace std;
+
 
 