Index: branches/proxy/src/story_entities/menu/game_menu.cc
===================================================================
--- branches/proxy/src/story_entities/menu/game_menu.cc	(revision 9357)
+++ branches/proxy/src/story_entities/menu/game_menu.cc	(revision 9369)
@@ -152,14 +152,14 @@
     {
       OrxGui::GLGuiButton* startButton = new OrxGui::GLGuiPushButton("Play");
-      startButton->connect(SIGNAL(startButton, released), this, SLOT(GameMenu, showCampaigns));
+      startButton->released.connect(this, &GameMenu::showCampaigns);
       this->mainMenuBox->pack(startButton);
       startButton->select();
 
       OrxGui::GLGuiButton* networkButton = new OrxGui::GLGuiPushButton("MultiPlayer");
-      networkButton->connect(SIGNAL(networkButton, released), this, SLOT(GameMenu, showMultiPlayer));
+      networkButton->released.connect(this, &GameMenu::showMultiPlayer);
       this->mainMenuBox->pack(networkButton);
 
       OrxGui::GLGuiButton* optionsButton = new OrxGui::GLGuiPushButton("Options");
-      optionsButton->connect(SIGNAL(optionsButton, released), this, SLOT(GameMenu, showOptionsMenu));
+      optionsButton->released.connect(this, &GameMenu::showOptionsMenu);
       this->mainMenuBox->pack(optionsButton);
 
@@ -167,5 +167,5 @@
       OrxGui::GLGuiButton* quitButton = new OrxGui::GLGuiPushButton("Quit");
       this->mainMenuBox->pack(quitButton);
-      quitButton->connect(SIGNAL(quitButton, released), this, SLOT(GameMenu, quitMenu));
+      quitButton->released.connect(this, &GameMenu::quitMenu);
     }
   }
@@ -202,5 +202,5 @@
           printf("%s\n", se->getMenuScreenshoot().c_str());
           OrxGui::GLGuiImageButton* button = new OrxGui::GLGuiImageButton(se->getName(), se->getStoryID(), se->getMenuScreenshoot(), image);
-          button->connect(SIGNAL(button, startLevel), this, SLOT(GameMenu, startLevel));
+          button->startLevel.connect(this, &GameMenu::startLevel);
           labelBox->pack(button);
 
@@ -244,9 +244,9 @@
       OrxGui::GLGuiButton* clientButton = new OrxGui::GLGuiPushButton("Client");
       box->pack(clientButton);
-      clientButton->connect(SIGNAL(clientButton, released), this, SLOT(GameMenu, showClientMenu));
+      clientButton->released.connect(this, &GameMenu::showClientMenu);
 
       OrxGui::GLGuiButton* serverButton = new OrxGui::GLGuiPushButton("Server");
       box->pack(serverButton);
-      serverButton->connect(SIGNAL(serverButton, released), this, SLOT(GameMenu, showServerMenu));
+      serverButton->released.connect(this, &GameMenu::showServerMenu);
 
       networkBox->pack( box );
@@ -531,10 +531,10 @@
       this->ipInputLine->setText( Preferences::getInstance()->getString( "multiplayer", "lastVisitedServer", "localhost" ) );
       this->clientNetworkBox->pack( this->ipInputLine );
-      this->ipInputLine->connect(SIGNAL(ipInputLine, enterPushed), this, SLOT(GameMenu, connectToServer));
+      //this->ipInputLine->enterPushed.connect(this, &GameMenu::connectToServer); /// redo this.
       this->ipInputLine->select();
 
       OrxGui::GLGuiButton* connectButton = new OrxGui::GLGuiPushButton("Connect");
       clientNetworkBox->pack(connectButton);
-      connectButton->connect(SIGNAL(connectButton, released), this, SLOT(GameMenu, connectToServer));
+      connectButton->released.connect(this, &GameMenu::connectToServer);
     }
   }
@@ -574,5 +574,5 @@
       OrxGui::GLGuiButton* createButton = new OrxGui::GLGuiPushButton("Create Server");
       serverNetworkBox->pack(createButton);
-      createButton->connect(SIGNAL(createButton, released), this, SLOT(GameMenu, createServer));
+      createButton->released.connect(this, &GameMenu::createServer);
     }
   }
Index: branches/proxy/src/story_entities/menu/glgui_imagebutton.cc
===================================================================
--- branches/proxy/src/story_entities/menu/glgui_imagebutton.cc	(revision 9357)
+++ branches/proxy/src/story_entities/menu/glgui_imagebutton.cc	(revision 9369)
@@ -40,5 +40,5 @@
     GLGuiPushButton::releasing(pos, focused);
     if (focused)
-      this->emit(startLevel(this->levelID));
+      this->startLevel.emit(this->levelID);
   }
 
@@ -77,5 +77,5 @@
       {
 //        emit(released());
-        emit(startLevel(this->levelID));
+        startLevel.emit(this->levelID);
       }
       return true;
Index: branches/proxy/src/story_entities/menu/glgui_imagebutton.h
===================================================================
--- branches/proxy/src/story_entities/menu/glgui_imagebutton.h	(revision 9357)
+++ branches/proxy/src/story_entities/menu/glgui_imagebutton.h	(revision 9369)
@@ -25,5 +25,5 @@
     void release();
 
-    DeclareSignal1(startLevel, int);
+    sigslot::signal1<int> startLevel;
 
   protected: