Index: code/branches/presentationHS12/data/levels/includes/weaponSettingsTurret.oxi
===================================================================
--- code/branches/presentationHS12/data/levels/includes/weaponSettingsTurret.oxi	(revision 9503)
+++ code/branches/presentationHS12/data/levels/includes/weaponSettingsTurret.oxi	(revision 9503)
@@ -0,0 +1,22 @@
+    <weaponslots>
+      <WeaponSlot position="0,0,0" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+        </links>
+        <Weapon>
+          <attached>
+            <Model mesh="sphere.mesh" position="3,3,-2.2" scale=0.6 />
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 3, 3,-2.2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 3,-3,-2.2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-3, 3,-2.2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-3,-3,-2.2" />
+        </Weapon>
+      </WeaponPack>
+    </weapons>
Index: code/branches/presentationHS12/data/levels/templates/lodInformation.oxt
===================================================================
--- code/branches/presentationHS12/data/levels/templates/lodInformation.oxt	(revision 9501)
+++ code/branches/presentationHS12/data/levels/templates/lodInformation.oxt	(revision 9503)
@@ -15,4 +15,5 @@
       <MeshLodInformation mesh=CuboidLandingZone.mesh enabled=false/>
       <MeshLodInformation mesh=HydroHarvester.mesh enabled=false />
+      <MeshLodInformation mesh=turretHead.mesh enabled=false />
 
       <!-- disable LOD for some debris meshes which caused a crash (fixed in Ogre 1.7.3) -->
Index: code/branches/presentationHS12/data/levels/templates/spaceshipTurret.oxt
===================================================================
--- code/branches/presentationHS12/data/levels/templates/spaceshipTurret.oxt	(revision 9503)
+++ code/branches/presentationHS12/data/levels/templates/spaceshipTurret.oxt	(revision 9503)
@@ -0,0 +1,50 @@
+<Template name=spaceshipturret>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipassffcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   shieldhealth        = 30
+   initialshieldhealth = 30
+   maxshieldhealth     = 50
+   shieldabsorption    = 0.8
+   reloadrate          = 1
+   reloadwaittime      = 1
+
+   primaryThrust     = 100
+   auxilaryThrust    = 30
+   rotationThrust    = 50
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 15
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 9
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+    <attached>
+        <Model position="0,0,0" yaw="90" roll="-90" mesh="turretHead.mesh" scale3D="10,10,10"/>
+    </attached>
+    <collisionShapes>
+        <SphereCollisionShape radius="10"   position = "0,0,0"/>
+    </collisionShapes>
+<?lua
+  include("../includes/weaponSettingsTurret.oxi")
+?>
+  </SpaceShip>
+</Template>
Index: code/branches/presentationHS12/data/levels/turretTest.oxw
===================================================================
--- code/branches/presentationHS12/data/levels/turretTest.oxw	(revision 9503)
+++ code/branches/presentationHS12/data/levels/turretTest.oxw	(revision 9503)
@@ -0,0 +1,58 @@
+<LevelInfo
+ name = "turret Test"
+ description = "A level with a turret in it."
+ tags = "test"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipAssff.oxt")
+  include("templates/spaceshipPirate.oxt")
+  include("templates/spaceshipTurret.oxt")
+?>
+
+<Level>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+
+
+<StaticEntity position="0,0,0" yaw=0 pitch=0>
+    <attached>
+        <Model position="0,0,0" mesh="turretSocketFront.mesh" scale3D="10,10,10" />
+        <Model position="0,0,0" mesh="turretSocketIn.mesh" scale3D="10,10,10" />
+        <Model position="0,0,0" mesh="turretSocketTop.mesh" scale3D="10,10,10" />
+        <Model position="0,0,0" mesh="turretSocketLeft.mesh" scale3D="10,10,10" />
+        <Model position="0,0,0" mesh="turretSocketRight.mesh" scale3D="10,10,10" />
+    </attached>
+</StaticEntity>
+
+
+
+<SpaceShip position="0,10,0" pitch="90" yaw="0" roll="0">
+    <templates>
+        <Template link=spaceshipturret />
+    </templates>
+    <controller>
+        <WaypointPatrolController alertnessradius=100 team=10>
+        </WaypointPatrolController>
+     </controller>
+</SpaceShip>
+    
+  </Scene>
+</Level>
+
Index: code/branches/presentationHS12/src/modules/objects/CMakeLists.txt
===================================================================
--- code/branches/presentationHS12/src/modules/objects/CMakeLists.txt	(revision 9501)
+++ code/branches/presentationHS12/src/modules/objects/CMakeLists.txt	(revision 9503)
@@ -5,4 +5,5 @@
   Script.cc
   SpaceBoundaries.cc
+  Turret.cc
 )
 
Index: code/branches/presentationHS12/src/modules/objects/ObjectsPrereqs.h
===================================================================
--- code/branches/presentationHS12/src/modules/objects/ObjectsPrereqs.h	(revision 9501)
+++ code/branches/presentationHS12/src/modules/objects/ObjectsPrereqs.h	(revision 9503)
@@ -73,4 +73,5 @@
     class Script;
     class SpaceBoundaries;
+    class Turret;
 
     // collisionshapes
Index: code/branches/presentationHS12/src/modules/objects/Turret.cc
===================================================================
--- code/branches/presentationHS12/src/modules/objects/Turret.cc	(revision 9503)
+++ code/branches/presentationHS12/src/modules/objects/Turret.cc	(revision 9503)
@@ -0,0 +1,85 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Marian Runo
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#include "Turret.h"
+#include "core/CoreIncludes.h"
+#include "OgreQuaternion.h"
+#include "core/XMLPort.h"
+#include "controllers/WaypointPatrolController.h"
+
+namespace orxonox
+{
+    CreateFactory(Turret);
+
+    /**
+     * @brief Constructor
+     */
+    Turret::Turret(BaseObject* creator) : SpaceShip(creator)
+    {
+        RegisterObject(Turret);
+        this->controller_ = new WaypointPatrolController(this);
+    }
+
+    /**
+     * @brief Destructor
+     */
+    Turret::~Turret()
+    {
+
+    }
+
+
+    void Turret::rotatePitch(const Vector2& value)
+    {
+    	orxout()<< "Turret rotate Pitch"<< endl;
+
+    	const Quaternion& orient = this->getOrientation();
+    	Radian pitch = orient.getPitch();
+
+    	if((value.x > 0 && pitch < Radian(180)) || (value.x < 0 && pitch > Radian(0)))
+    		SpaceShip::rotatePitch(value);
+    }
+
+
+    void Turret::setAlertnessRadius(float value)
+    {
+    	this->controller_->setAlertnessRadius(value);
+    }
+    float Turret::getAlertnessRadius()
+    {
+    	return this->controller_->getAlertnessRadius();
+    }
+
+    void Turret::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(Turret, XMLPort, xmlelement, mode);
+        XMLPortParam(Turret, "alertnessRadius", setAlertnessRadius, getAlertnessRadius, xmlelement, mode).defaultValues("400");
+    }
+
+
+}
Index: code/branches/presentationHS12/src/modules/objects/Turret.h
===================================================================
--- code/branches/presentationHS12/src/modules/objects/Turret.h	(revision 9503)
+++ code/branches/presentationHS12/src/modules/objects/Turret.h	(revision 9503)
@@ -0,0 +1,68 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Marian Runo
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file Turret.h
+    @brief Definition of the Turret class.
+    @ingroup Objects
+*/
+
+#ifndef _Turret_H__
+#define _Turret_H__
+
+#include "objects/ObjectsPrereqs.h"
+
+#include "worldentities/pawns/SpaceShip.h"
+
+namespace orxonox
+{
+    class _ObjectsExport Turret : public SpaceShip
+    {
+        public:
+            Turret(BaseObject* creator);
+            virtual ~Turret();
+
+            //virtual void tick(float dt);
+
+            virtual void rotatePitch(const Vector2& value);
+
+            void setAlertnessRadius(float value);
+            float getAlertnessRadius();
+
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+
+
+        protected:
+            WaypointPatrolController* controller_;
+        private:
+
+    };
+}
+
+#endif
+